package de.szut.webshop.controller;

import de.szut.webshop.dto.AddSupplierDto;
import de.szut.webshop.model.ContactEntity;
import de.szut.webshop.model.SupplierEntity;
import de.szut.webshop.service.SupplierService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/supplier")
public class SupplierController {
    private final SupplierService supplierService;

    public SupplierController(SupplierService supplierService) {
        this.supplierService = supplierService;
    }

    @PostMapping
    public String createSupplier(@RequestBody AddSupplierDto dto) {
        SupplierEntity supplier = new SupplierEntity();
        ContactEntity contact = new ContactEntity();

        contact.setCity(dto.getCity());
        contact.setPostcode(dto.getPostcode());
        contact.setStreet(dto.getStreet());
        contact.setPhone(dto.getPhone());

        supplier.setName(dto.getName());
        supplier.setContact(contact);

        supplierService.createSupplier(supplier);

        return "Supplier created";
    }
}


